ApiHostRef (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHostRef

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHostRef

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHostRef
      extends Object

  A reference to a host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHostRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getHostId()` The unique host ID.
    `String` | `getHostname()` The hostname.
    `int` | `hashCode()`
    `ApiHostRef` | `hostId(String hostId)`
    `ApiHostRef` | `hostname(String hostname)`
    `void` | `setHostId(String hostId)`
    `void` | `setHostname(String hostname)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHostRef

          public ApiHostRef()

  - ### Method Detail

    - #### hostId

          public ApiHostRef hostId(String hostId)

    - #### getHostId

          public String getHostId()

      The unique host ID.
      Returns:
        hostId

    - #### setHostId

          public void setHostId(String hostId)

    - #### hostname

          public ApiHostRef hostname(String hostname)

    - #### getHostname

          public String getHostname()

      The hostname. Available since v31.
      Returns:
        hostname

    - #### setHostname

          public void setHostname(String hostname)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.